php-parser (5.4.0-2ubuntu1) plucky; urgency=medium

  * d/control: remove phpunit B-D to allow phpunit transition
  * d/rules: do not halt on test failures to allow phpunit transition

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 29 Jan 2025 00:24:02 -0300

php-parser (5.4.0-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Wed, 01 Jan 2025 12:50:17 +0100

php-parser (5.4.0-1) unstable; urgency=medium

  [ Ondrej Mirtes ]
  * Promoted properties with hooks do not need visibility modifier
  * Add flags helper methods `Property::isAbstract()` and `Property::isFinal()`
  * Add `PropertyHook::isFinal()` helper method with tests
  * Emit error - Multiple properties cannot share the same hooks

  [ Nikita Popov ]
  * Make PropertyHook::getStmts() less incorrect
  * Fix PropertyHook::getStmts() for set hook
  * Release PHP-Parser 5.4.0

 -- David Prévot <taffit@debian.org>  Wed, 01 Jan 2025 12:14:31 +0100

php-parser (5.3.1-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sun, 13 Oct 2024 09:23:14 +0100

php-parser (5.3.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Support PropertyHooks in NameResolver
  * Include trailing semicolon in GroupUse
  * Add basic support for tab indentation
  * Avoid negative indentation in formatting-preserving printer
  * Support declaring functions with name exit/die
  * Release PHP-Parser 5.3.1

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 15:39:29 +0100

php-parser (5.2.0-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Mon, 16 Sep 2024 08:17:52 +0200

php-parser (5.2.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Declare PHP 8.4 as the newest supported version
  * [8.4] Add support for __PROPERTY__ magic constant
  * [8.4] Add support for property hooks
  * Add support for PHP 8.4 exit function
  * [8.4] Add support for asymmetric visibility modifiers
  * Release PHP-Parser 5.2.0

  [ Ruud Kamphuis ]
  * Normalize enum value to ClassConstFetch

 -- David Prévot <taffit@debian.org>  Mon, 16 Sep 2024 07:38:31 +0200

php-parser (5.1.0-1) unstable; urgency=medium

  [ Markus Staab ]
  * Declare more precise phpdoc types (#993)

  [ Nikita Popov ]
  * [8.4] Add support for new deref without parens
  * Fix ternary precedence printing
  * Release PHP-Parser 5.1.0

  [ Jorg Adam Sowa ]
  * Adjust tests to be compatible with PHPUnit 10 (#998)

  [ David Prévot ]
  * Drop patches not needed anymore

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 15:07:14 +0900

php-parser (5.0.2-3) unstable; urgency=medium

  * Drop abstract test class and its dependencies (Closes: #1070583)
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 17:00:14 +0200

php-parser (5.0.2-2) unstable; urgency=medium

  * Source only upload

 -- David Prévot <taffit@debian.org>  Sun, 10 Mar 2024 15:21:29 +0100

php-parser (5.0.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Avoid cyclic reference in parser
  * Fix indentation detection after opening tag
  * Release PHP-Parser 5.0.2

  [ Maarten Buis ]
  * Update `PhpVersion::getNewestSupported()` to PHP 8.3

  [ David Prévot ]
  * Force system dependencies loading (tests)

 -- David Prévot <taffit@debian.org>  Thu, 07 Mar 2024 23:28:20 +0100

php-parser (5.0.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Check for tokens with non-integer ID
  * Release PHP-Parser 5.0.1

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sat, 24 Feb 2024 09:29:35 +0100

php-parser (5.0.0-1) unstable; urgency=medium

  * Upload to unstable

  [ Ondrej Mirtes ]
  * Fix parent class of PropertyItem and UseItem

  [ Nikita Popov ]
  * Avoid PHPUnit deprecation warnings
  * Release PHP-Parser 5.0.0

  [ David Prévot ]
  * Extend clean
  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Wed, 10 Jan 2024 08:41:20 +0100

php-parser (5.0.0~rc1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Don't parse unicode escapes for PHP < 7.0
  * Add support for dumping additional attributes
  * Add rawValue to InterpolatedStringPart and doc strings
  * Introduce Stmt\Block
  * Remove Stmt\Throw
  * Use visitor to assign comments
  * Remove ParserFactory::create()
  * Fix handling of empty input
  * Release PHP-Parser 5.0.0rc1

  [ Abdul Malik Ikhsan ]
  * Improve performance of find() and findFirst() when passed $nodes is empty array

  [ David Prévot ]
  * Compatibility with recent PHPUnit (10), partially addresses #1039814

 -- David Prévot <taffit@debian.org>  Thu, 21 Dec 2023 13:20:06 +0100

php-parser (5.0.0~beta1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add upgrading notes for lexer changes
  * Release PHP-Parser 5.0.0 Beta 1

  [ David Prévot ]
  * Override new Makefile

 -- David Prévot <taffit@debian.org>  Tue, 19 Sep 2023 09:38:12 +0530

php-parser (5.0.0~alpha3-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add support for typed constants
  * Support readonly anonymous classes
  * Add support for NodeVisitor::REPLACE_WITH_NULL
  * Support CRLF newlines in pretty printer
  * Release PHP-Parser 5.0.0-alpha3

 -- David Prévot <taffit@debian.org>  Sun, 25 Jun 2023 18:22:18 +0200

php-parser (5.0.0~alpha2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * [PHP 8.3] Support dynamic class const fetch
  * Update upgrading documentation
  * Release PHP-Parser 5.0.0 alpha 2

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 06 Mar 2023 13:24:17 +0100

php-parser (5.0.0~alpha1-1) experimental; urgency=medium

  * Upload alpha to experimental

  [ Nikita Popov ]
  * Drop support for running on PHP 7.0
  * Use PHP 8.0 token representation
  * Remove PHP 5 parser
  * Release PHP-Parser 5.0.0-alpha1

  [ David Prévot ]
  * Revert "Track version 4 for now (Bookworm?)"

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 17:25:57 -0400

php-parser (4.15.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Support readonly as function name
  * Add support for true type
  * Fix length bounds check in Name::slice()
  * Fix empty list insertion of multiple attributes
  * Release PHP-Parser 4.15.1

  [ Anton ]
  * Add __serialize/__unserialize to ClassMethod::$magicNames

  [ George Peter Banyard ]
  * Add support for DNF types (#862)

  [ David Prévot ]
  * Track version 4 for now (Bookworm?)

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 17:14:41 -0400

php-parser (4.14.0-1) unstable; urgency=medium

  [ Marijn van Wezel ]
  * Reflect support for PHP 8.1 in the README

  [ Tomas Votruba ]
  * [LNumber] Add rawValue attribute to LNumber to allow numeric separator etc.
  * [DNumber] Add rawValue attribute to hold the original value (#833)
  * [String_] Add rawValue attribute (#831)
  * [PHP 8.2] Add readonly class support (#834)

  [ Nikita Popov ]
  * Release PHP-Parser 4.14.0

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 17:26:14 +0200

php-parser (4.13.2-1) unstable; urgency=medium

  [ Jaroslav Hanslík ]
  * Added builders for enum and enum case

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.2

 -- David Prévot <taffit@debian.org>  Mon, 06 Dec 2021 09:49:28 -0400

php-parser (4.13.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.1

 -- David Prévot <taffit@debian.org>  Thu, 04 Nov 2021 12:57:00 -0400

php-parser (4.13.0-2) unstable; urgency=medium

  * Allow stderr during CI

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 15:30:31 -0400

php-parser (4.13.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.0

  [ David Prévot ]
  * Simplify gbp import-orig
  * Update standards version to 4.6.0, no changes needed.
  * Install /u/s/p/{autoloaders,overrides} files
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 14:17:02 -0400

php-parser (4.10.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.4

  [ David Prévot ]
  * Workaround --include-path broken(?) in PHPUnit 9

 -- David Prévot <taffit@debian.org>  Mon, 21 Dec 2020 10:01:27 -0400

php-parser (4.10.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.3

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Wed, 09 Dec 2020 06:21:24 -0400

php-parser (4.10.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.2

 -- David Prévot <taffit@debian.org>  Sat, 26 Sep 2020 08:40:07 -0400

php-parser (4.10.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.0

 -- David Prévot <taffit@debian.org>  Tue, 22 Sep 2020 07:44:40 -0400

php-parser (4.9.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.9.1

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)

 -- David Prévot <taffit@debian.org>  Tue, 01 Sep 2020 14:40:39 -0400

php-parser (4.9.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.9.0

 -- David Prévot <taffit@debian.org>  Mon, 24 Aug 2020 10:40:31 -0400

php-parser (4.8.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Allow PHPUnit 9
  * Release PHP-Parser 4.8.0

 -- David Prévot <taffit@debian.org>  Mon, 17 Aug 2020 18:31:58 +0200

php-parser (4.7.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Add ParentConnectingVisitor and NodeConnectingVisitor (#681)

  [ Graham Campbell ]
  * Corrected license text

  [ Tomas Votruba ]
  * [PHP 8.0] Add match expressions (#672)

  [ Nikita Popov ]
  * [PHP 8.0] Support trailing comma in closure use list
  * Release PHP-Parser 4.7.0

  [ David Prévot ]
  * Update copyright
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Thu, 30 Jul 2020 05:37:49 +0200

php-parser (4.6.0-1) unstable; urgency=medium

  [ TomasVotruba ]
  * [PHP 8.0] Add trailing comma in parameter list
  * Add constructor promotion support

  [ Nikita Popov ]
  * Release PHP-Parser 4.6.0

  [ David Prévot ]
  * Install upstream doc without extra doc/

 -- David Prévot <taffit@debian.org>  Mon, 06 Jul 2020 14:56:54 +0200

php-parser (4.5.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.5.0

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2020 17:25:11 -1000

php-parser (4.4.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.4.0

  [ David Prévot ]
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2020 09:29:15 -1000

php-parser (4.3.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.3.0

 -- David Prévot <taffit@debian.org>  Sun, 10 Nov 2019 17:18:19 -1000

php-parser (4.2.5-1) unstable; urgency=medium

  [ Kyle ]
  * Optimize production build by ignoring dev files

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.5

  [ David Prévot ]
  * Document gbp import-ref usage
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- David Prévot <taffit@debian.org>  Tue, 29 Oct 2019 11:32:40 -1000

php-parser (4.2.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.4

  [ Tomas Votruba ]
  * add getProperties() and getConstants() to ClassLike
  * add getTraitUses() method to ClassLike

  [ David Prévot ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- David Prévot <taffit@debian.org>  Mon, 02 Sep 2019 18:12:05 -1000

php-parser (4.2.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Make compatible with PhpUnit 8
  * Release PHP-Parser 4.2.3

  [ Tomáš Votruba ]
  * [PHP 7.4] Add support for numeric literal separators (#615)

 -- David Prévot <taffit@debian.org>  Tue, 13 Aug 2019 18:14:55 -1000

php-parser (4.2.2-2) unstable; urgency=medium

  * Upload to unstable in sync with phpdox
  * Compatibility with recent PHPUnit (Closes: #929065)
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Fri, 09 Aug 2019 16:23:29 -1000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php-parser`.
